%define name geda
%define version 20060123
%define release %mkrel 4

Summary: A project manager
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source20: %name-16.png
Source21: %name-32.png
Source22: %name-48.png
License: GPL
Group: Office
Url: http://www.geda.seul.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgtk+-devel
BuildRequires: libglib-devel
BuildRequires: libpng-devel
BuildRequires: gtk2-devel
Requires: geda-gschem

%description
The gEDA project is working on producing a full GPL'd
suite of Electronic Design Automation tools.

gEDA Suite Project Manager is a start point for everything what 
you may want to do. It is used to organize your files and easy 
running tools. It simplifies your job.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %buildroot{%{_datadir}/applications,%_liconsdir,%_iconsdir,%_miconsdir}
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%name.desktop
[Desktop Entry]
Type=Application
Categories=Science;Electronics;
Name=gEDA
Comment=Geda project manager
Icon=%name
Exec=%name
EOF

install -D -m644 %{SOURCE20} $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -D -m644 %{SOURCE21} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m644 %{SOURCE22} $RPM_BUILD_ROOT%{_liconsdir}/%name.png

%find_lang %name

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README NEWS 
%_bindir/geda
%_bindir/raw2gw
%_bindir/graphman
%{_datadir}/applications/mandriva-%name.desktop
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png





%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 20060123-4mdv2009.0
+ Revision: 239587
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 20060123-3mdv2009.0
+ Revision: 222250
- fix menu directory creation
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-2mdv2007.0
+ Revision: 96715
- fix requirement
- Import geda

* Sun May 14 2006 Olivier Thauvin <nanardon@mandriva.org> 20060123-1mdk
- 20060123

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 20050820-2mdk
- BuildRequires Fix

* Wed Oct 05 2005 Olivier Thauvin <nanardon@mandriva.org> 20050820-1mdk
- 20050820

* Thu May 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20040111-1mdk
- 20040111

